<?php
/*
 * Developed By Devozon
 *
 * Check Out at https://devozon.com/
 * Email: support@devozon.com
 * Message: https://www.facebook.com/devozon
 *
 * Please feel free to contact me at any time if you need a custom script or any development work.
 *
 * Devozon Team:
 * Coded by Sanad Nabil
 * Theme by Ahmed Reda
 * Tested By Smith Carter
 *
 * Devozon All rights reserved
 * Copyright (c) 2023.
 * Last Update 4 \ 11 \ 2023
 */

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

function FENSE_BPVT_header_code()
{
	$adCode = get_option( 'FENSE_BPVT_DEVOZON_ad_code' );
	echo $adCode;
}


function fense_bpvt_save_settings()
{
	
	delete_transient( 'fense_bpvt_plugin_settings' );
	delete_transient( 'bpvt_is_api_key_valid' );
	delete_transient( 'FENSE_BPVT_DEVOZON_is_daily_limit_reached' );
	
	delete_option( 'FENSE_BPVT_DEVOZON_api_data' );
	delete_option( 'FENSE_BPVT_DEVOZON_api_data_time' );
	
	delete_option( 'FENSE_BPVT_DEVOZON_tg_wp_version' );
	delete_option( 'FENSE_BPVT_DEVOZON_tg_wp_version_time' );
	
	exit;
}

add_action( 'wp_ajax_nopriv_fense_bpvt_save_settings', 'fense_bpvt_save_settings' );
add_action( 'wp_ajax_fense_bpvt_save_settings', 'fense_bpvt_save_settings' );
